Last-Update: 2013-08-03
Forwarded: not-needed
Origin: backport, https://git.gnome.org/browse/giggle/patch/?id=44490f7f78c3281c8fc4f38aa7226fc5955720a9
Bug-Giggle: https://bugzilla.gnome.org/show_bug.cgi?id=697220
Bug-Debian: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=718523
Author: Dmitry Smirnov <onlyjob@member.fsf.org>
Subject: fix FTBFS with libgtksourceview-3.0-dev/3.8.0
 include gtksource.h instead of gtksourceview.h
 The main header of gtksourceview is now called gtksource.h

--- a/configure.ac
+++ b/configure.ac
@@ -53,9 +53,9 @@
 
 GLIB_REQUIRED_VERSION=2.30
 GDK_PIXBUF_REQUIRED_VERSION=2.22
 GTK_REQUIRED_VERSION=3.3.12
-GTKSOURCE_REQUIRED_VERSION=3.0
+GTKSOURCE_REQUIRED_VERSION=3.4
 EDS_REQUIRED_VERSION=3.2
 VTE_REQUIRED_VERSION=0.28
 
 
--- a/src/giggle-diff-view.h
+++ b/src/giggle-diff-view.h
@@ -20,10 +20,9 @@
 #define __GIGGLE_DIFF_VIEW_H__
 
 #include <glib-object.h>
 #include <gtk/gtk.h>
-#include <gtksourceview/gtksourceview.h>
-#include <gtksourceview/gtksourcelanguagemanager.h>
+#include <gtksourceview/gtksource.h>
 
 #include "libgiggle/giggle-revision.h"
 
 G_BEGIN_DECLS
--- a/src/giggle-view-file.c
+++ b/src/giggle-view-file.c
@@ -37,10 +37,9 @@
 #include <fnmatch.h>
 #include <gio/gio.h>
 #include <glib/gi18n.h>
 
-#include <gtksourceview/gtksourcelanguagemanager.h>
-#include <gtksourceview/gtksourceview.h>
+#include <gtksourceview/gtksource.h>
 
 #define GIGGLE_TYPE_VIEW_FILE_SNAPSHOT            (giggle_view_file_snapshot_get_type ())
 #define GIGGLE_VIEW_FILE_SNAPSHOT(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), GIGGLE_TYPE_VIEW_FILE_SNAPSHOT, GiggleViewFileSnapshot))
 #define GIGGLE_VIEW_FILE_SNAPSHOT_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), GIGGLE_TYPE_VIEW_FILE_SNAPSHOT, GiggleViewFileSnapshotClass))
